
# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           ocaml-mysql
Version:        1.2.2
Release:        %mkrel 8
Summary:        OCaml library for accessing MySQL databases
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            https://github.com/ygrek/ocaml-mysql
Source0:        https://github.com/ygrek/ocaml-mysql/releases/download/v1.2.2/ocaml-mysql-1.2.2.tar.gz
# https://bugzilla.redhat.com/show_bug.cgi?id=1467652
# Upstream commit is:
# https://github.com/ygrek/ocaml-mysql/commit/60eada32c875c8442c39fb51de533924c15f6e93
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  mysql-devel

%description
ocaml-mysql is a package for ocaml that provides access to mysql
databases. It consists of low level functions implemented in C and a
module Mysql intended for application development.


%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       mysql-devel
Requires:       %{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure
make reallyall

%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc CHANGES COPYING README VERSION
%dir %{_libdir}/ocaml/mysql
%{_libdir}/ocaml/mysql/*.cmi
%{_libdir}/ocaml/mysql/*.cma
%{_libdir}/ocaml/mysql/META
%{_libdir}/ocaml/stublibs/dllmysql_stubs.so*

%files devel
%doc doc/mysql/html/
%{_libdir}/ocaml/mysql/*.a
%{_libdir}/ocaml/mysql/*.cmxa
%{_libdir}/ocaml/mysql/*.cmx
%{_libdir}/ocaml/mysql/*.cmxs
%{_libdir}/ocaml/mysql/*.mli


%changelog
* Wed May 18 2022 pterjan <pterjan> 1.2.2-8.mga9
+ Revision: 1858771
- Rebuild for OCaml 4.14

* Sat Apr 02 2022 umeabot <umeabot> 1.2.2-7.mga9
+ Revision: 1841171
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.2.2-6.mga9
+ Revision: 1751050
- Rebuild for ocaml 4.13.1

* Fri Mar 05 2021 tv <tv> 1.2.2-5.mga9
+ Revision: 1698792
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.2.2-4.mga8
+ Revision: 1670413
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1551164
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1544534
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 1.2.2-1.mga8
+ Revision: 1483166
- new release + rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 pterjan <pterjan> 1.2.1-6.mga7
+ Revision: 1324401
- Rebuild for ocaml 4.07.1
+ tv <tv>
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-4.mga7
+ Revision: 1299899
- Mageia 7 Mass Rebuild

* Sat Dec 23 2017 wally <wally> 1.2.1-3.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Sun Nov 26 2017 tv <tv> 1.2.1-2.mga7
+ Revision: 1179555
- rebuild for new ocaml

* Thu Oct 12 2017 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1171112
- new version: 1.2.1 (fix upstream for int64_t)
- add upstream patch to fix configure against MariaDB 10.2

* Mon Sep 26 2016 pterjan <pterjan> 1.2.0-2.mga6
+ Revision: 1056423
- Rebuild for fix in ocaml

* Tue Feb 09 2016 pterjan <pterjan> 1.2.0-1.mga6
+ Revision: 952877
- Update to 1.2.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 747561
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 683069
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.1.2-1.mga5
+ Revision: 673977
- update to 1.1.2

* Mon Oct 21 2013 umeabot <umeabot> 1.1.1-7.mga4
+ Revision: 539507
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 malo <malo> 1.1.1-6.mga4
+ Revision: 492360
- rebuild for new ocaml 4.01.0

* Tue Apr 02 2013 dmorgan <dmorgan> 1.1.1-5.mga3
+ Revision: 407127
- Fix requires in the devel package

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 361492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.1-3.mga3
+ Revision: 301109
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1.1-2.mga3
+ Revision: 300470
- new rpm group for ocaml

* Wed Jul 11 2012 malo <malo> 1.1.1-1.mga3
+ Revision: 269583
- update to 1.1.1

* Wed Jan 18 2012 blue_prawn <blue_prawn> 1.1.0-1.mga2
+ Revision: 197959
- package imported from Mandriva where it was made and maintained by Guillaume Rousse, (Andre Nathan <andre(_)digirati.com.br> has also contributed to it)

